import request from '@/utils/request'

// 获取库存列表
export function getStockList(params) {
  return request({
    url: '/stock/manager/list',
    method: 'get',
    params
  })
}

// 获取仓库列表
export function getWarehouseList(params) {
  return request({
    url: '/stock/listStock',
    method: 'get',
    params
  })
}

// 获取销售类型列表
export function getSalesTypeList(params) {
  return request({
    url: '/sale/type/list',
    method: 'get',
    params
  })
}

// 获取预留库存列表
export function getReservedList(params) {
  return request({
    url: '/stock/manager/listCustomer',
    method: 'get',
    params
  })
}

// 获取仓库现存列表
export function getListStockToDay(params) {
  return request({
    url: '/stock/manager/listStockToDay',
    method: 'get',
    params
  })
}
